// FileProp.cpp : implementation file
//

#include "stdafx.h"
#include "Undelete.h"
#include "FileProp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFileProp property page

IMPLEMENT_DYNCREATE(CFileProp, CPropertyPage)

CFileProp::CFileProp() : CPropertyPage(CFileProp::IDD)
{
	//{{AFX_DATA_INIT(CFileProp)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CFileProp::~CFileProp()
{
}

void CFileProp::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFileProp)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFileProp, CPropertyPage)
	//{{AFX_MSG_MAP(CFileProp)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFileProp message handlers

BOOL CFileProp::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	CButton *button;
	CStatic *iconCtrl;
	HIMAGELIST hSysImageList;
	SHFILEINFO  shfi;

	// set fields
	GetDlgItem(IDC_FILENAME)->SetWindowText(m_InfoEntry->m_Name);
	GetDlgItem(IDC_FILETYPE)->SetWindowText(m_InfoEntry->m_Type);
	GetDlgItem(IDC_FILELOC)->SetWindowText(m_InfoEntry->m_OriginalName);
	GetDlgItem(IDC_FILESIZE)->SetWindowText(m_InfoEntry->m_SizeString);
	GetDlgItem(IDC_FILEDELETE)->SetWindowText(m_InfoEntry->m_TimeDeletedString);
	GetDlgItem(IDC_FILECREATE)->SetWindowText(m_InfoEntry->m_TimeCreatedString);

	// set attributes
	button = (CButton *) GetDlgItem(IDC_READONLY);
	if( m_InfoEntry->m_FileStatus.m_attribute & FILE_ATTRIBUTE_READONLY) 
		button->SetCheck(1);
	button = (CButton *) GetDlgItem(IDC_HIDDEN);
	if( m_InfoEntry->m_FileStatus.m_attribute & FILE_ATTRIBUTE_HIDDEN) 
		button->SetCheck(1);
	button = (CButton *) GetDlgItem(IDC_ARCHIVE);
	if( m_InfoEntry->m_FileStatus.m_attribute & FILE_ATTRIBUTE_ARCHIVE) 
		button->SetCheck(1);
	button = (CButton *) GetDlgItem(IDC_SYSTEM);
	if( m_InfoEntry->m_FileStatus.m_attribute & FILE_ATTRIBUTE_SYSTEM) 
		button->SetCheck(1);

	// set the icon	
	iconCtrl = (CStatic *) GetDlgItem(IDC_FILEICON);
	hSysImageList = (HIMAGELIST) SHGetFileInfo(
				  (LPCSTR) m_InfoEntry->m_DeletedName, 
				  0,
				  &shfi,
				  sizeof (SHFILEINFO),
				  SHGFI_SYSICONINDEX | SHGFI_LARGEICON);
	if (hSysImageList)
	{
		m_hIcon = ImageList_GetIcon (hSysImageList,
										shfi.iIcon,
										ILD_NORMAL);
		iconCtrl->SetIcon(m_hIcon);
	}
	else
	{
	// SHGetFileInfo failed...
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CFileProp::OnDestroy() 
{
	CPropertyPage::OnDestroy();
	
	DestroyIcon( m_hIcon );
	
}
